--- old/usr/src/cmd/mandoc/lib.in	Fri Jul 25 15:08:46 2014
+++ new/usr/src/cmd/mandoc/lib.in	Fri Jul 25 15:08:46 2014
@@ -1,120 +1,80 @@
-/*	$Id: lib.in,v 1.17 2013/10/13 15:24:03 schwarze Exp $ */
 /*
- * Copyright (c) 2009 Kristaps Dzonsons <kristaps@bsd.lv>
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
  *
- * Permission to use, copy, modify, and distribute this software for any
- * purpose with or without fee is hereby granted, provided that the above
- * copyright notice and this permission notice appear in all copies.
- *
- * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
- * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
- * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
- * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
- * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
- * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
  */
 
 /*
- * These are all possible .Lb strings.  When a new library is added, add
- * its short-string to the left-hand side and formatted string to the
- * right-hand side.
- *
- * Be sure to escape strings.
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
-LINE("libalias",	"Packet Aliasing Library (libalias, \\-lalias)")
-LINE("libarchive",	"Streaming Archive Library (libarchive, \\-larchive)")
-LINE("libarm",		"ARM Architecture Library (libarm, \\-larm)")
-LINE("libarm32",	"ARM32 Architecture Library (libarm32, \\-larm32)")
-LINE("libbluetooth",	"Bluetooth Library (libbluetooth, \\-lbluetooth)")
-LINE("libbsdxml",	"eXpat XML parser library (libbsdxml, \\-lbsdxml)")
-LINE("libbsm",		"Basic Security Module User Library (libbsm, \\-lbsm)")
+/*
+ * Note that we don't document "legacy" libraries that have moved into
+ * libc.  While there will be section 3lib man pages for them, they
+ * won't be referenced in other man pages.
+ */
+LINE("libadm",		"General Administrative Library (libadm, \\-ladm)")
+LINE("libbsdmalloc",	"BSD Memory Allocation Library (libbsdmalloc, -lbsdmalloc)")
+LINE("libbsm",		"Security and Auditing Library (libbsm, \\lbsm)")
 LINE("libc",		"Standard C Library (libc, \\-lc)")
-LINE("libc_r",		"Reentrant C\\~Library (libc_r, \\-lc_r)")
-LINE("libcalendar",	"Calendar Arithmetic Library (libcalendar, \\-lcalendar)")
-LINE("libcam",		"Common Access Method User Library (libcam, \\-lcam)")
-LINE("libcdk",		"Curses Development Kit Library (libcdk, \\-lcdk)")
-LINE("libcipher",	"FreeSec Crypt Library (libcipher, \\-lcipher)")
-LINE("libcompat",	"Compatibility Library (libcompat, \\-lcompat)")
-LINE("libcrypt",	"Crypt Library (libcrypt, \\-lcrypt)")
+LINE("libc_db",		"Threads Debugging Library (libc_db, \\-lc_db)")
+LINE("libcfgadm",	"Configuration Adminstration Library (libcfgadm, \\-lcfgadm)")
+LINE("libcommputil",	"Communication Protocol Parser Utilities Library (libpcommutil, \\-lcommputil)")
+LINE("libcontract",	"Contract Management Library (libcontract, \\-lcontract)")
+LINE("libcpc",		"CPU Performance Counters Library (libcpc, \\-lcpc)")
 LINE("libcurses",	"Curses Library (libcurses, \\-lcurses)")
-LINE("libdevattr",	"Device attribute and event library (libdevattr, \\-ldevattr)")
-LINE("libdevinfo",	"Device and Resource Information Utility Library (libdevinfo, \\-ldevinfo)")
-LINE("libdevstat",	"Device Statistics Library (libdevstat, \\-ldevstat)")
-LINE("libdisk",		"Interface to Slice and Partition Labels Library (libdisk, \\-ldisk)")
-LINE("libdm",		"Device Mapper Library (libdm, \\-ldm)")
-LINE("libdwarf",	"DWARF Access Library (libdwarf, \\-ldwarf)")
-LINE("libedit",		"Command Line Editor Library (libedit, \\-ledit)")
-LINE("libefi",		"EFI Runtime Services Library (libefi, \\-lefi)")
+LINE("libdat",		"Direct Access Transport Library (libdat, \\-ldat)")
+LINE("libdevid",	"Device ID Library (libdevid, \\-ldevid)")
+LINE("libdevinfo",	"Device Information Library (libdevinfo, \\-ldevinfo)")
+LINE("libdlpi",		"Data Link Provider Interface (DLPI) Library (libdlp, \\-ldlpi)")
+LINE("libdns_sd",	"DNS Service Discovery Library (libdns_sd, \\-ldns_sd)")
 LINE("libelf",		"ELF Access Library (libelf, \\-lelf)")
-LINE("libevent",	"Event Notification Library (libevent, \\-levent)")
-LINE("libexecinfo",	"Backtrace Information Library (libexecinfo, \\-lexecinfo)")
-LINE("libfetch",	"File Transfer Library (libfetch, \\-lfetch)")
-LINE("libfsid",		"Filesystem Identification Library (libfsid, \\-lfsid)")
-LINE("libftpio",	"FTP Connection Management Library (libftpio, \\-lftpio)")
-LINE("libform",		"Curses Form Library (libform, \\-lform)")
-LINE("libgeom",		"Userland API Library for Kernel GEOM subsystem (libgeom, \\-lgeom)")
-LINE("libgpib",		"General-Purpose Instrument Bus (GPIB) library (libgpib, \\-lgpib)")
-LINE("libhammer",	"HAMMER Filesystem Userland Library (libhammer, \\-lhammer)")
-LINE("libi386",		"i386 Architecture Library (libi386, \\-li386)")
-LINE("libintl",		"Internationalized Message Handling Library (libintl, \\-lintl)")
-LINE("libipsec",	"IPsec Policy Control Library (libipsec, \\-lipsec)")
-LINE("libipx",		"IPX Address Conversion Support Library (libipx, \\-lipx)")
-LINE("libiscsi",	"iSCSI protocol library (libiscsi, \\-liscsi)")
-LINE("libisns",		"Internet Storage Name Service Library (libisns, \\-lisns)")
-LINE("libjail",		"Jail Library (libjail, \\-ljail)")
-LINE("libkcore",	"Kernel Memory Core Access Library (libkcore, \\-lkcore)")
-LINE("libkiconv",	"Kernel-side iconv Library (libkiconv, \\-lkiconv)")
-LINE("libkse",		"N:M Threading Library (libkse, \\-lkse)")
-LINE("libkvm",		"Kernel Data Access Library (libkvm, \\-lkvm)")
-LINE("libm",		"Math Library (libm, \\-lm)")
-LINE("libm68k",		"m68k Architecture Library (libm68k, \\-lm68k)")
-LINE("libmagic",	"Magic Number Recognition Library (libmagic, \\-lmagic)")
-LINE("libmandoc",	"Mandoc Macro Compiler Library (libmandoc, \\-lmandoc)")
-LINE("libmd",		"Message Digest (MD4, MD5, etc.) Support Library (libmd, \\-lmd)")
-LINE("libmemstat",	"Kernel Memory Allocator Statistics Library (libmemstat, \\-lmemstat)")
-LINE("libmenu",		"Curses Menu Library (libmenu, \\-lmenu)")
-LINE("libmj",		"Minimalist JSON library (libmj, \\-lmj)")
-LINE("libnetgraph",	"Netgraph User Library (libnetgraph, \\-lnetgraph)")
-LINE("libnetpgp",	"Netpgp Signing, Verification, Encryption and Decryption (libnetpgp, \\-lnetpgp)")
-LINE("libnetpgpverify",	"Netpgp Verification (libnetpgpverify, \\-lnetpgpverify)")
-LINE("libnpf",		"NPF Packet Filter Library (libnpf, \\-lnpf)")
-LINE("libossaudio",	"OSS Audio Emulation Library (libossaudio, \\-lossaudio)")
-LINE("libpam",		"Pluggable Authentication Module Library (libpam, \\-lpam)")
-LINE("libpcap",		"Capture Library (libpcap, \\-lpcap)")
-LINE("libpci",		"PCI Bus Access Library (libpci, \\-lpci)")
-LINE("libpmc",		"Performance Counters Library (libpmc, \\-lpmc)")
-LINE("libppath",	"Property-List Paths Library (libppath, \\-lppath)")
-LINE("libposix",	"POSIX Compatibility Library (libposix, \\-lposix)")
-LINE("libposix1e",	"POSIX.1e Security API Library (libposix1e, \\-lposix1e)")
-LINE("libppath",	"Property-List Paths Library (libppath, \\-lppath)")
-LINE("libprop",		"Property Container Object Library (libprop, \\-lprop)")
-LINE("libpthread",	"POSIX Threads Library (libpthread, \\-lpthread)")
-LINE("libpuffs",	"puffs Convenience Library (libpuffs, \\-lpuffs)")
-LINE("libquota",	"Disk Quota Access and Control Library (libquota, \\-lquota)")
-LINE("libradius",	"RADIUS Client Library (libradius, \\-lradius)")
-LINE("librefuse",	"File System in Userspace Convenience Library (librefuse, \\-lrefuse)")
-LINE("libresolv",	"DNS Resolver Library (libresolv, \\-lresolv)")
-LINE("librpcsec_gss",	"RPC GSS-API Authentication Library (librpcsec_gss, \\-lrpcsec_gss)")
-LINE("librpcsvc",	"RPC Service Library (librpcsvc, \\-lrpcsvc)")
-LINE("librt",		"POSIX Real\\-time Library (librt, \\-lrt)")
-LINE("librumpclient",	"Clientside Stubs for rump Kernel Remote Protocols (librumpclient, \\-lrumpclient)")
-LINE("libsaslc",	"Simple Authentication and Security Layer client library (libsaslc, \\-lsaslc)")
-LINE("libsdp",		"Bluetooth Service Discovery Protocol User Library (libsdp, \\-lsdp)")
-LINE("libssp",		"Buffer Overflow Protection Library (libssp, \\-lssp)")
-LINE("libstand",	"Standalone Applications Library (libstand, \\-lstand)")
-LINE("libSystem",	"System Library (libSystem, \\-lSystem)")
-LINE("libtacplus",	"TACACS+ Client Library (libtacplus, \\-ltacplus)")
-LINE("libtcplay",	"TrueCrypt-compatible API library (libtcplay, \\-ltcplay)")
-LINE("libtermcap",	"Termcap Access Library (libtermcap, \\-ltermcap)")
-LINE("libterminfo",	"Terminal Information Library (libterminfo, \\-lterminfo)")
-LINE("libthr",		"1:1 Threading Library (libthr, \\-lthr)")
-LINE("libufs",		"UFS File System Access Library (libufs, \\-lufs)")
-LINE("libugidfw",	"File System Firewall Interface Library (libugidfw, \\-lugidfw)")
-LINE("libulog",		"User Login Record Library (libulog, \\-lulog)")
-LINE("libusbhid",	"USB Human Interface Devices Library (libusbhid, \\-lusbhid)")
-LINE("libutil",		"System Utilities Library (libutil, \\-lutil)")
-LINE("libvgl",		"Video Graphics Library (libvgl, \\-lvgl)")
-LINE("libx86_64",	"x86_64 Architecture Library (libx86_64, \\-lx86_64)")
-LINE("libz",		"Compression Library (libz, \\-lz)")
+LINE("libexacct",	"Extended Accounting File Access Library (libexacct, \\-lexacct)")
+LINE("libfcoe",		"FCoE Port Management Library (libfcoe, \\-lfcoe)")
+LINE("libfstyp",	"File System Type Identification Library (libfstyp, \\-lfstyp \\-lnvpair)")
+LINE("libgen",		"String Pattern Matching Library (libgen, \\-lgen)")
+LINE("libgss",		"Generic Security Services Library (libgss, \\-lgss)")
+LINE("libiscsit",	"iSCSI Management Library (libiscsit, \\-liscsit)")
+LINE("libkstat",	"Kernel Statistics Library (libkstat, \\-lkstat)")
+LINE("libkvm",		"Kernel VM Library (libkvm, \\-lkvm)")
+LINE("libldap",		"LDAP Library (libldap, \\-lldap)")
+LINE("liblgrp",		"Locality Group Library (liblgrp, -llgrp)")
+LINE("libm",		"Mathematical Library (libm, -lm)")
+LINE("libmail",		"User Mailbox Library (libmail, -lmail)")
+LINE("libmalloc",	"Memory Allocation Library (libmalloc, -lmalloc)")
+LINE("libmd",		"Message Digest Library (libmd, -lmd)")
+LINE("libmp",		"Multiple Precision Library (libmp, -lmp)")
+LINE("libmpapi",	"Common Multipath Management Library (libmpapi, -lMPAPI)")
+LINE("libnsl",		"Network Services Library (libnsl, \\-lnsl)")
+LINE("libnvpair",	"Name-Value Pair Library (libnvpair, \\-lnvpair)")
+LINE("libpam",		"PAM (Pluggable Authentication Module) Library (libpam, \\-lpam)")
+LINE("libpicl",		"PICL Library (libpicl, \\-lpicl)")
+LINE("libpicltree",	"PICL Plug-In Library (libpicltree, \\-lpicltree)")
+LINE("libpkcs11",	"PKCS#11 Cryptographic Framework Library (libpkcs11, \\-lpkcs11)")
+LINE("libpool",		"Pool Configuration Manipulation Library (libpool, \\-lpool)")
+LINE("libproc",		"Process Control Library (libproc, \\-lproc)")
+LINE("libproject",	"Project Database Access Library (libproject, \\-lproject)")
+LINE("libresolv",	"Resolver Library (libresolv, \\-lresolv \\-lsocket \\-lnsl)")
+LINE("librpc",		"RPC Service Library (librpcsvc, \\-lrpc)")
+LINE("librsm",		"Remote Shared Memory Interface Library (librsm, \\-lrsm)")
+LINE("libsasl",		"Simple Authentication and Security Library (libsasl, \\-lsasl)")
+LINE("libscf",		"Service Configuration Facility Library (libscf, \\-lscf)")
+LINE("libsec",		"File Access Control Library (libsec, \\-lsec)")
+LINE("libsecdb",	"Security Attributes Database Library (libsecdb, \\-lsecdb)")
+LINE("libsip",		"Session Initiation Protocol Library (libsip, \\-lsip)")
+LINE("libslp",		"Service Location Protocol Library (libslp, \\-lslp)")
+LINE("libsocket",	"Sockets Library (libsocket, \\-lsocket)")
+LINE("libstmf",		"SCSI Target Mode Framework Library (libstmf, \\-lstmf)")
+LINE("libsysevet",	"System Event Inteface Library (libsysevent, \\-lsysevent)")
+LINE("libtecla",	"Interactive Command Line Input Library (libtecla, \\-ltecla)")
+LINE("libtnfctl",	"TNF Probe Control Library (libtnfctl, \\-ltnfctl)")
+LINE("libtsol",		"Trusted Extensions Library (libtsol, \\-ltsol)")
+LINE("libuuid",		"UUID Library (libuuid, \\-luuid)")
+LINE("libvolmgt",	"Volume Management Library (libvolmgt, \\-lvolmgt)")
+LINE("libxcurses",	"X/Open Curses Library (libxcurses, \\-lxcurses)")
+LINE("libxnet",		"X/Open Networking Library (libxnet, \\-lxnet)")
